.picturesDropArea {
    border: 2px dashed #ccc;
    border-radius: 10px;
    padding: 40px;
    text-align: center;
    font-size: 1.2em;
    margin: 20px;
    background-color: #f5f5f5;
    cursor: pointer;
}

.picturesDropArea.dragging {
    background-color: #e0e0e0;
}

.picturesDropAreaEdit {
  border: 2px dashed #ccc;
  border-radius: 10px;
  padding: 40px;
  text-align: center;
  font-size: 1.2em;
  margin: 20px;
  background-color: #f5f5f5;
  cursor: pointer;
}

.picturesDropAreaEdit.dragging {
  background-color: #e0e0e0;
}

.thumbnail {
  display: inline-block;
  margin: 10px;
  position: relative;
}
.thumbnail img {
  max-height: 85px;
  border-radius: 5px;
}
.square-content img{
    max-height: 270px;
    max-width: 95%;
    border-radius: 10px;
    }

.delete {
  background-color: #d50000;
  border: none;
  border-radius: 50%;
  color: white;
  font-size: 12px;
  height: 20px;
  line-height: 20px;
  position: absolute;
  right: -10px;
  top: -10px;
  width: 20px;
  cursor:pointer;
}


    .square-box{
        position: relative;
        width: 75%;
        max-width:300px;
        overflow: hidden;
        border-radius: 12px;
    }
    .square-box:before{
        content: "";
        display: block;
        padding-top: 100%;
    }
    .square-content{
        position:  absolute;
        top: 0;
        left: 0;
        bottom: 0;
        right: 0;
        color: white;
    }
    .square-content div {
    display: table;
    width: 100%;
    height: 100%;
    }
    .square-content span {
        display: table-cell;
        text-align: center;
        vertical-align: middle;
        color: white
    }
    .cube
    {
        box-shadow: 10px 5px 5px #00000045;
        --fa-animation-duration: 0.5s;
        --fa-beat-scale: 1.02;
    }
    .cubeSection
    {
        border-right: 1px dotted grey;
    }
    /* toggl button*/ 

    .switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
  top: -5px;
  margin-left: 10px;
  margin-right: 10px;
}

.switch input { 
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #28a745;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}
.switchLabel 
{
    font-weight: bold;
    font-size: 1.15em;
    padding-top:10px;
}


.inputContainer
{
  display: flexbox;
}

.cubeContentRow
{
  border-bottom:1px solid #797979;
  border-top-style: hidden;
  background-color:#ffffff63;
}
.cubeContentRow img:hover
{
  transition: transform .3s;
  transform: scale(2.5);
}


.items-wrapper {
  display: flex;
  flex-direction: row;
  justify-content: center;
}


.notSelected {
  opacity: 0.5;
}

.category  {
  display: inline-block;
  margin: 5px;
  padding: 5px 10px;
  background-color: #59e890;
  border-radius: 5px;
  font-size: 0.8em;
  cursor:pointer;
}

.category label {
  margin-right: 5px;
}

.category .closeCategoryBtn {
  cursor: pointer;
  margin-left: 5px;
}

.existingCategory {
  color: white;
  background-color: #707781;  
}
.existingCategory label{
  cursor:pointer;
}

.filterNotSelected
{
  background-color: #e9e9e9;
  opacity: 0.7;
}

.sortable,.filterCategory 
{
  cursor:pointer;
}

.btn-sm
{
  margin: 2px;
}




.changeCategoryNameControls
{
  display: inline-block;
  padding-top:6px;
}

.inputFlex {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.form-control {
  width: 100%;
}

.menuBtn {
    cursor:pointer;
    color:white;
    display:inline-block;
    margin: 4px;
}
.menuBtn.active {
    text-decoration: underline;
}
